Subject: Regarding Xinerama support

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Sun, 22 Jul 2001 19:51:14 +0700

Hi!

    I've almost made a very improved version (as compared to February), but
still have to spend a few days finishing it.  It is now based on 2.4 instead
of 2.3.28.

    As I understood from conversation in the list, there were plans to do
2.4.1 as a bugfix-only release, so I didn't hurry (mea culpa...).

    Now I'm finishing adding basic RandR support, but there are two choices:
1) comment out RandR-handling and post diff immediately; 2) spend those few
days and post somewhere near wednesday.  What will be preferred?

       ___________________________________________________________________
       Dmitry Yu. Bolkhovityanov  |  Novosibirsk, RUSSIA
       phone (383-2)-39-49-56     |  The Budker Institute of Nuclear Physics
                                  |  Lab. 5-13
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 22 Jul 2001 13:37:31 +0200

> still have to spend a few days finishing it.  It is now based on 2.4 instead

Hey, you were doing this in secret? :-)  Didn't I say that I would
keep the patch up to date?  Actually, I did this and checked it in
now.  I made several enhacements regarding efficiency (don't poll
the mouse with only one screen), usability (enable/disable on the
fly, renamed commands to XineramaEnable/XineramaDisable),
configure (HAVE_XINERAMA is put into config.h), general code
structure (changed library user interface a bit), xinerama
emulation (for people with one monitor).

As you may have noticed I already started another thread to
discuss the details of the Xinerama implementation.  Before we
continue patching we should think about the right way 

> 2.4.1 as a bugfix-only release, so I didn't hurry (mea culpa...).

Gee, the plans were overridden by me committing the Xinerama
patch ;-)  I plan to add Xinerama support along with the first
bugfixing release.  I don't think it will take this much time.
It will suffice to support a minimal set of Xinerama features at
first and circumvent the problems I described in my other mail.
The fancy gimmicks can wait for a future release.

> 1) comment out RandR-handling and post diff immediately;

If you already have both patches in your code it is best to check
out a fresh fvwm from cvs and re-add your Xinerama changes there.
I think the last time you sent the Xinerama patch there was
another non-xinerama patch in the diff (Bindings.c, but I'm not
sure).

> 2) spend those few

What is RandR?

Anyway, as soon as 2.4.1 with Xinerama is released, the stable
versions get their own branch and development on the main branch
will (hopefully) start with full force.  Until then it would help
most if we all concentrate on the Xinerama patch (and bug fixes)
before adding new features.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]